Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jmx.spi
Interface JmxService

All Superinterfaces:
  Serializable, Service

All Known Implementing Classes:
  DisabledJmxServiceImpl, JmxServiceImpl

    public interface JmxService

extends Service

Service providing simplified access to JMX related features needed by Hibernate.

Method Summary
`void` | `registerMBean(ObjectName objectName, Object mBean)` Registers the given `mBean` under the given `objectName`
`void` | `registerService(Manageable service, Class<? extends Service> serviceRole)` Handles registration of a manageable service.

Method Detail

### registerService

    void registerService(Manageable service,
                         Class<? extends Service> serviceRole)

  Handles registration of a manageable service.

  Parameters:
    `service` - The manageable service
    `serviceRole` - The service's role.

### registerMBean

    void registerMBean(ObjectName objectName,
                       Object mBean)

  Registers the given `mBean` under the given `objectName`

  Parameters:
    `objectName` - The name under which to register the MBean
    `mBean` - The MBean to register

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.